<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">รูปแบบผลิตภัณฑ์ - Non-Credit Product</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับรูปแบบผลิตภัณฑ์ตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight"
      *ngIf="(stepThreeNonCerdit['validate'] === null || stepThreeNonCerdit['validate'] === true) && template_manage.pageShow !== 'executive'">
      <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
        บันทึกร่างใบคำขอ
      </button>
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark">
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>


<!-- -------------------------------------------------next button ---------------------------------------- -->
<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="row">
    <div class="col-md-12">
      <div (click)="next_step('back')" class="button-next pull-left" *ngIf="checkLocal !== '0' && checkLocal !== 'A'">
        &lt; ย้อนกลับ
      </div>
      <div (click)="next_step('next')" class="button-next pull-right"
        [ngClass]="{'button-next-non': pageLast === 'last'}">
        รูปแบบผลิตภัณฑ์หน้าถัดไป &gt;
      </div>
    </div>
    <br />
  </div>
</div>


<!------------------------------------------------- validate === true ------------------------------------------------>
<div style="padding-left: 10px;"
  *ngIf="(stepThreeNonCerdit['validate'] === null || stepThreeNonCerdit['validate'] === true) && template_manage.pageShow !== 'executive'">
  <!-- ---------------------------------------- ประเภทผลิตภัณฑ์และช่องทางการให้บริการ --------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ประเภทผลิตภัณฑ์และช่องทางการให้บริการ</p>
      <div class="body-div">
        <!-- ======================================= ประเภทการนำเสนอ ======================================== -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">ประเภทการนำเสนอ</p>
          </div>
          <div class="col-12 body-detal ">
            <mat-radio-group class="presentationType" aria-label="Select an option" [(ngModel)]="presentation_type"
              (ngModelChange)="changeSaveDraft()">
              <div class="d-flex align-items-stretch radio-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-radio-button value="บัตรเครดิต"></mat-radio-button>
                </div>
                <div class="bd-highlight radio-detail"
                  [ngClass]="{'checkbox-detail-true': presentation_type === 'บัตรเครดิต','checkbox-detail-false': presentation_type !== 'บัตรเครดิต'}"
                  (click)="presentation_type = 'บัตรเครดิต'; changeSaveDraft(); stepThreeNonCerdit.productType.otherDetail= ''">
                  บัตรเครดิต</div>
              </div>
              <div class="d-flex align-items-stretch radio-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-radio-button value="บัตรอิเล็กทรอนิกส์"></mat-radio-button>
                </div>
                <div class="bd-highlight radio-detail"
                  [ngClass]="{'checkbox-detail-true': presentation_type === 'บัตรอิเล็กทรอนิกส์','checkbox-detail-false': presentation_type !== 'บัตรอิเล็กทรอนิกส์'}"
                  (click)="presentation_type = 'บัตรอิเล็กทรอนิกส์'; changeSaveDraft(); stepThreeNonCerdit.productType.otherDetail= ''">
                  บัตรอิเล็กทรอนิกส์</div>
              </div>
              <div class="d-flex align-items-stretch radio-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-radio-button value="เงินอิเล็กทรอนิกส์"></mat-radio-button>
                </div>
                <div class="bd-highlight radio-detail"
                  [ngClass]="{'checkbox-detail-true': presentation_type === 'เงินอิเล็กทรอนิกส์','checkbox-detail-false': presentation_type !== 'เงินอิเล็กทรอนิกส์'}"
                  (click)="presentation_type = 'เงินอิเล็กทรอนิกส์'; changeSaveDraft(); stepThreeNonCerdit.productType.otherDetail= ''">
                  เงินอิเล็กทรอนิกส์</div>
              </div>
              <div class="d-flex align-items-stretch radio-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-radio-button value="เงินฝาก"></mat-radio-button>
                </div>
                <div class="bd-highlight radio-detail"
                  [ngClass]="{'checkbox-detail-true': presentation_type === 'เงินฝาก','checkbox-detail-false': presentation_type !== 'เงินฝาก'}"
                  (click)="presentation_type = 'เงินฝาก'; changeSaveDraft(); stepThreeNonCerdit.productType.otherDetail= ''">
                  เงินฝาก</div>
              </div>
              <div class="d-flex align-items-stretch radio-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-radio-button value="ประกันภัย"></mat-radio-button>
                </div>
                <div class="bd-highlight radio-detail"
                  [ngClass]="{'checkbox-detail-true': presentation_type === 'ประกันภัย','checkbox-detail-false': presentation_type !== 'ประกันภัย'}"
                  (click)="presentation_type = 'ประกันภัย'; changeSaveDraft(); stepThreeNonCerdit.productType.otherDetail= ''">
                  ประกันภัย</div>
              </div>
              <div class="d-flex align-items-stretch radio-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-radio-button value="กองทุน"></mat-radio-button>
                </div>
                <div class="bd-highlight radio-detail"
                  [ngClass]="{'checkbox-detail-true': presentation_type === 'กองทุน','checkbox-detail-false': presentation_type !== 'กองทุน'}"
                  (click)="presentation_type = 'กองทุน'; changeSaveDraft(); stepThreeNonCerdit.productType.otherDetail= ''">
                  กองทุน</div>
              </div>
              <div class="d-flex align-items-stretch radio-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-radio-button value="อื่นๆ"></mat-radio-button>
                </div>
                <div class="bd-highlight radio-detail"
                  [ngClass]="{'checkbox-detail-true': presentation_type === 'อื่นๆ','checkbox-detail-false': presentation_type !== 'อื่นๆ'}"
                  (click)="presentation_type = 'อื่นๆ'; changeSaveDraft();">อื่นๆ</div>
              </div>
            </mat-radio-group>
            <input type="text" class="form-control input-detail" placeholder="ระบุรายละเอียดเพิ่มเติม"
              [(ngModel)]="stepThreeNonCerdit.productType.otherDetail" (modelngModelChange)="changeSaveDraft()"
              (keyup)="changeSaveDraft()" [disabled]="!(presentation_type === 'อื่นๆ')">
          </div>
        </div>

        <!-- ======================================= ช่องทางนำเสนอบริการ ======================================== -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">ช่องทางนำเสนอบริการ</p>
          </div>
          <div class="col-12 body-detal-checkbox">
            <div class="row">
              <div class="col-md-3">
                <div class="row">
                  <div class="col-12">
                    <div class="d-flex align-items-stretch checkbox-layout">
                      <div class="bd-highlight checkbox-box">
                        <mat-checkbox style="filter: grayscale(100%);" [(ngModel)]="serviceChannels.generalBranch"
                          (ngModelChange)="changeSaveDraft()" [disabled]="serviceDisabled"></mat-checkbox>
                      </div>
                      <div class="bd-highlight checkbox-detail">
                        สาขาทั่วไป</div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="d-flex align-items-stretch checkbox-layout">
                      <div class="bd-highlight checkbox-box">
                        <mat-checkbox style="filter: grayscale(100%);" [(ngModel)]="serviceChannels.electronics"
                          (ngModelChange)="changeSaveDraft()" [disabled]="serviceDisabled"></mat-checkbox>
                      </div>
                      <div class="bd-highlight checkbox-detail">
                        สาขาอิเล็กทรอนิกส์</div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="d-flex align-items-stretch checkbox-layout">
                      <div class="bd-highlight checkbox-box">
                        <mat-checkbox style="filter: grayscale(100%);" [(ngModel)]="serviceChannels.businessOffice"
                          (ngModelChange)="changeSaveDraft()" [disabled]="serviceDisabled"></mat-checkbox>
                      </div>
                      <div class="bd-highlight checkbox-detail">
                        สำนักงานธุรกิจ</div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="d-flex align-items-stretch checkbox-layout">
                      <div class="bd-highlight checkbox-box">
                        <mat-checkbox style="filter: grayscale(100%);" [(ngModel)]="serviceChannels.CBC"
                          (ngModelChange)="changeSaveDraft()" [disabled]="serviceDisabled"></mat-checkbox>
                      </div>
                      <div class="bd-highlight checkbox-detail">CBC</div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="d-flex align-items-stretch checkbox-layout">
                      <div class="bd-highlight checkbox-box">
                        <mat-checkbox style="filter: grayscale(100%);" [(ngModel)]="serviceChannels.blockChain"
                          (ngModelChange)="changeSaveDraft()" [disabled]="serviceDisabled"></mat-checkbox>
                      </div>
                      <div class="bd-highlight checkbox-detail">
                        Blockchain</div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="d-flex align-items-stretch checkbox-layout">
                      <div class="bd-highlight checkbox-box">
                        <mat-checkbox style="filter: grayscale(100%);" [(ngModel)]="serviceChannels.callCenter"
                          (ngModelChange)="changeSaveDraft()" [disabled]="serviceDisabled"></mat-checkbox>
                      </div>
                      <div class="bd-highlight checkbox-detail">Call Center</div>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="d-flex align-items-stretch checkbox-layout">
                      <div class="bd-highlight checkbox-box">
                        <mat-checkbox style="filter: grayscale(100%);" [(ngModel)]="serviceChannels.ATM"
                          (ngModelChange)="changeSaveDraft()" [disabled]="serviceDisabled"></mat-checkbox>
                      </div>
                      <div class="bd-highlight checkbox-detail">ATM</div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-9">
                <div class="row">
                  <div class="col-12">
                    <div class="d-flex align-items-stretch checkbox-layout">
                      <div class="bd-highlight checkbox-box">
                        <mat-checkbox style="filter: grayscale(100%);"
                          (ngModelChange)="clearServiceDeliveryDetailDigitalChannels(); changeSaveDraft()"
                          [(ngModel)]="serviceChannels.digitalChannels" [disabled]="serviceDisabled"></mat-checkbox>
                      </div>
                      <div class="bd-highlight checkbox-detail">ช่องทางดิจิทัล</div>
                    </div>
                  </div>
                  <div class="col-12">
                    <input type="text" class="form-control input-detail" placeholder="ระบุรายละเอียดเพิ่มเติม"
                      [(ngModel)]="serviceChannels.detailDigitalChannels" (ngModelChange)="changeSaveDraft()" readonly>
                  </div>
                  <div class="col-12">
                    <div class="d-flex align-items-stretch checkbox-layout">
                      <div class="bd-highlight checkbox-box">
                        <mat-checkbox style="filter: grayscale(100%);"
                          (ngModelChange)="clearServiceDeliveryDetailNonBank(); changeSaveDraft()"
                          [(ngModel)]="serviceChannels.nonBank" [disabled]="serviceDisabled"></mat-checkbox>
                      </div>
                      <div class="bd-highlight checkbox-detail">ช่องทางอื่นที่ไม่ใช่ของธนาคาร</div>
                    </div>
                  </div>
                  <div class="col-12">
                    <input type="text" class="form-control input-detail" placeholder="ระบุรายละเอียดเพิ่มเติม"
                      [(ngModel)]="serviceChannels.detailNonBank" (ngModelChange)="changeSaveDraft()" readonly>
                  </div>
                  <div class="col-12">
                    <div class="d-flex align-items-stretch checkbox-layout">
                      <div class="bd-highlight checkbox-box">
                        <mat-checkbox style="filter: grayscale(100%);"
                          (ngModelChange)="clearServiceDeliveryDetailEtc(); changeSaveDraft()"
                          [(ngModel)]="serviceChannels.etc" [disabled]="serviceDisabled"></mat-checkbox>
                      </div>
                      <div class="bd-highlight checkbox-detail">อื่นๆ</div>
                    </div>
                  </div>
                  <div class="col-12">
                    <input type="text" class="form-control input-detail" placeholder="ระบุรายละเอียดเพิ่มเติม"
                      [(ngModel)]="serviceChannels.detailEtc" (ngModelChange)="changeSaveDraft()" readonly>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- ======================================= ผลิตภัณฑ์อื่นที่อยู่ภายใต้ช่องทาง (เฉพาะกรณีช่องทางดิจิทัล) ======================================== -->
        <div class="row" [ngStyle]="{'display': !(serviceChannels.digitalChannels == true)? 'none' : '' }">
          <div class="col-12">
            <p class="head-detal">ผลิตภัณฑ์อื่นที่อยู่ภายใต้ช่องทาง (เฉพาะกรณีช่องทางดิจิทัล)</p>
          </div>
          <div class="col-12">
            <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
              placeholder="ระบุรายละเอียดความต้องการของกลุ่มเป้าหมาย" style="height: 261px;"
              (ngModelChange)="changeSaveDraft()" [(ngModel)]="stepThreeNonCerdit.productOrther"></textarea>
          </div>
        </div>

        <!-- ======================================= ระบบงานหลักที่เกี่ยวข้อง ======================================== -->
        <div class="d-flex" style="align-items: flex-end;">
          <label class="head-detal">ระบบงานหลักที่เกี่ยวข้อง</label>
          <button class="btn btn-primary add-data" (click)="addrow()">
            <img src="assets/img/plus_icon.svg" />เพิ่มข้อมูล
          </button>
        </div>
        <br>
        <div class="row">
          <div class="col-12 mb-3">
            <table mat-table [dataSource]="dataSource" class="main-work-systems">
              <!-- Position Column -->
              <ng-container matColumnDef="bank">
                <th mat-header-cell *matHeaderCellDef style="width: 45%;">ธนาคาร</th>
                <td mat-cell *matCellDef="let element" style="vertical-align: top;">
                  <textarea appTextareaAutoresize autocomplete="off" class=" form-control example" style="width: 95%;" [(ngModel)]="element.bank"
                    placeholder="กรุณาระบุชื่อธนาคาร" (ngModelChange)="changeSaveDraft()"></textarea>
                </td>
              </ng-container>

              <!-- Position Column -->
              <ng-container matColumnDef="outsource">
                <th mat-header-cell *matHeaderCellDef style="width: 45%;"> หน่วยงานภายนอก (Third Party) </th>
                <td mat-cell *matCellDef="let element" style="vertical-align: top;">
                  <textarea appTextareaAutoresize autocomplete="off" class=" form-control example" [(ngModel)]="element.outsource"
                    placeholder="กรุณาระบุหน่วยงานภายนอก" (ngModelChange)="changeSaveDraft()"></textarea>
                </td>
              </ng-container>
              <ng-container matColumnDef="delete">
                <th mat-header-cell *matHeaderCellDef style="width: 10%;"></th>
                <td mat-cell *matCellDef="let element;let i = index" style="vertical-align: top;">
                  <a style="padding-left: 8px; color: #00A6E6;cursor: pointer;" (click)="removedata(i)">ลบข้อมูล</a>
                </td>
              </ng-container>
              <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
          </div>
        </div>
      </div>
    </div>

    <!-- ---------------------------------------------------------------------------------------------------------------------- -->

    <!-- ====================================================================================================================== -->
    <div class="col-12">
      <p class="head-detal">กลุ่มเป้าหมายและรายละเอียดผลิตภัณฑ์</p>
      <div class="body-div">
        <!-- ======================================= กลุ่มเป้าหมายและรายละเอียดผลิตภัณฑ์ ============================================= -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal_sub">กลุ่มเป้าหมาย/ผู้ใช้บริการ <span style="color: #999999;"> (สามารถเลือกได้มากกว่า 1
                ข้อมูล)</span></p>
          </div>
          <div class="col-12">
            <div class="d-flex align-items-stretch checkbox-layout">
              <div class="bd-highlight checkbox-box">
                <mat-checkbox [(ngModel)]="targetGroup.individual" (ngModelChange)="clearTargetGroupIndividual()">
                </mat-checkbox>
              </div>
              <div class="bd-highlight checkbox-detail"
                [ngClass]="{'checkbox-detail-true': targetGroup.individual === true,'checkbox-detail-false': targetGroup.individual === false}"
                (click)="targetGroup.individual = !targetGroup.individual; clearTargetGroupIndividual()">
                <b>บุคคลธรรมดา</b>
              </div>
            </div>
          </div>
          <div class="col-12">
            <div class="row subCheckBox">
              <div class=" col-12">
                <div class="d-flex align-items-stretch checkbox-layout">
                  <div class="bd-highlight checkbox-box">
                    <mat-checkbox [(ngModel)]="targetGroup.individual_thai" (ngModelChange)="changeSaveDraft()"
                      [disabled]="!(targetGroup.individual)"></mat-checkbox>
                  </div>
                  <div class="bd-highlight checkbox-detail"
                    [ngClass]="{'checkbox-detail-true': targetGroup.individual_thai === true,'checkbox-detail-false': targetGroup.individual_thai === false}"
                    (click)="changeTargetGroupIndividual(1)">
                    สัญชาติไทย</div>
                </div>
                <div class="d-flex align-items-stretch checkbox-layout">
                  <div class="bd-highlight checkbox-box">
                    <mat-checkbox [(ngModel)]="targetGroup.individual_foreigner" (ngModelChange)="changeSaveDraft()"
                      [disabled]="!(targetGroup.individual)"></mat-checkbox>
                  </div>
                  <div class="bd-highlight checkbox-detail"
                    [ngClass]="{'checkbox-detail-true': targetGroup.individual_foreigner === true,'checkbox-detail-false': targetGroup.individual_foreigner === false}"
                    (click)="changeTargetGroupIndividual(2)">
                    ชาวต่างชาติ</div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-12">
            <div class="d-flex align-items-stretch checkbox-layout">
              <div class="bd-highlight checkbox-box">
                <mat-checkbox [(ngModel)]="targetGroup.legalEntity" (ngModelChange)="clearTargetGroupIndividual()">
                </mat-checkbox>
              </div>
              <div class="bd-highlight checkbox-detail"
                [ngClass]="{'checkbox-detail-true': targetGroup.legalEntity === true,'checkbox-detail-false': targetGroup.legalEntity === false}"
                (click)="targetGroup.legalEntity = !targetGroup.legalEntity; clearTargetGroupLegalEntity()">
                <b>นิติบุคคล</b>
              </div>
            </div>
          </div>
          <div class="col-12">
            <div class="row subCheckBox">
              <div class=" col-12">
                <div class="d-flex align-items-stretch checkbox-layout">
                  <div class="bd-highlight checkbox-box">
                    <mat-checkbox [(ngModel)]="targetGroup.legalEntity_thai" (ngModelChange)="changeSaveDraft()"
                      [disabled]="!(targetGroup.legalEntity)"></mat-checkbox>
                  </div>
                  <div class="bd-highlight checkbox-detail"
                    [ngClass]="{'checkbox-detail-true': targetGroup.legalEntity_thai === true,'checkbox-detail-false': targetGroup.legalEntity_thai === false}"
                    (click)="changeTargetGroupLegalEntity(1)">
                    สัญชาติไทย</div>
                </div>
                <div class="d-flex align-items-stretch checkbox-layout">
                  <div class="bd-highlight checkbox-box">
                    <mat-checkbox [(ngModel)]="targetGroup.legalEntity_foreigner" (ngModelChange)="changeSaveDraft()"
                      [disabled]="!(targetGroup.legalEntity)"></mat-checkbox>
                  </div>
                  <div class="bd-highlight checkbox-detail"
                    [ngClass]="{'checkbox-detail-true': targetGroup.legalEntity_foreigner === true,'checkbox-detail-false': targetGroup.legalEntity_foreigner === false}"
                    (click)="changeTargetGroupLegalEntity(2)">
                    ชาวต่างชาติ</div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- ========================================= ลักษณะกลุ่มเป้าหมาย ==================================================== -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">ลักษณะกลุ่มเป้าหมาย</p>
          </div>
          <div class=" mainText">
            <div class="textarea-container">

              <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
                [innerHTML]="this.textareaForm.get('targetText').value"
                style="min-height: 120px; max-width: auto; padding-top: 7px;" id="targetText"
                (ngModelChange)="changeSaveDraft()"></div> -->

              <textarea
                style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d;"
                (keyup)="autogrow(1)" rows="5" (click)="autogrow(1)" type="text" id="targetText"
                [(ngModel)]="stepThreeNonCerdit.targetText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
                name="targetText" required></textarea>

              <div style="position: relative;">


                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                      <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                        (click)="delete_image(1, i )">
                      <div class="unnon_image">
                        <img [src]="image1[i]" alt="{{stepThreeNonCerdit.target.file[i].fileName}}"
                          title="{{stepThreeNonCerdit.target.file[i].fileName}}" class="photo"
                          (click)="image_click(1, i )">
                      </div>
                    </div>

                    <div class="non_image">
                      <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                        multiple (change)="getFileDetails(1, $event)" [(ngModel)]="file1_2" accept=".jpg,.png">
                      <label class="form-control non_image_text" for="fileDropRef"><img
                          src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

                    </div>
                  </div>
                </div>

                <div class="input_upload">
                  <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                    (change)="getFileDetails(1, $event)" [(ngModel)]="file1_1" accept=".jpg,.png" style="width: 526px">
                  <label class="form-control input_upload_label" for="fileDropRef"><img
                      src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
                    เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
                </div>

              </div>

              <!-- <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                placeholder="ระบุรายละเอียดลักษณะกลุ่มเป้าหมาย" style="height: 261px;"
                (ngModelChange)="changeSaveDraft()" [(ngModel)]="stepThreeNonCerdit.targetText"></textarea> -->

            </div>
          </div>

        </div>
        <br>

        <!-- ----------------------------------------- คุณสมบัติผู้ใช้บริการ -------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">คุณสมบัติผู้ใช้บริการ</p>
          </div>
          <div class=" mainText">
            <div class="textarea-container">

              <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
                [innerHTML]="this.textareaForm.get('propertyText').value"
                style="min-height: 120px; max-width: auto; padding-top: 7px;" id="propertyText"
                (ngModelChange)="changeSaveDraft()"></div> -->
              <textarea
                style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d;"
                (keyup)="autogrow(2)" rows="5" (click)="autogrow(2)" type="text" id="propertyText"
                [(ngModel)]="stepThreeNonCerdit.propertyText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
                name="propertyText" required></textarea>
              <div style="position: relative;">


                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                      <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                        (click)="delete_image(2, i )">
                      <div class="unnon_image">
                        <img [src]="image2[i]" alt="{{stepThreeNonCerdit.property.file[i].fileName}}"
                          title="{{stepThreeNonCerdit.property.file[i].fileName}}" class="photo"
                          (click)="image_click(2, i )">
                      </div>
                    </div>

                    <div class="non_image">
                      <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                        multiple (change)="getFileDetails(2, $event)" [(ngModel)]="file2_2" accept=".jpg,.png">
                      <label class="form-control non_image_text" for="fileDropRef"><img
                          src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

                    </div>
                  </div>
                </div>

                <div class="input_upload">
                  <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                    (change)="getFileDetails(2, $event)" [(ngModel)]="file2_1" accept=".jpg,.png" style="width: 526px">
                  <label class="form-control input_upload_label" for="fileDropRef"><img
                      src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
                    เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
                </div>


                <!-- <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                placeholder="ระบุรายละเอียดคุณสมบัติผู้ใช้บริการ" style="height: 261px;"
                (ngModelChange)="changeSaveDraft()" [(ngModel)]="stepThreeNonCerdit.propertyText"></textarea> -->
              </div>
            </div>
          </div>

        </div>
        <br>

        <!-- ----------------------------------------- ขอบเขตการให้บริการ -------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">ขอบเขตการให้บริการ</p>
          </div>
          <div class=" mainText">
            <div class="textarea-container">

              <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
                [innerHTML]="this.textareaForm.get('scopeText').value"
                style="min-height: 120px; max-width: auto; padding-top: 7px;" id="scopeText"
                (ngModelChange)="changeSaveDraft()"></div> -->
              <textarea
                style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d;"
                (keyup)="autogrow(3)" rows="5" (click)="autogrow(3)" type="text" id="scopeText"
                [(ngModel)]="stepThreeNonCerdit.scopeText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
                name="scopeText" required></textarea>
              <div style="position: relative;">



                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                      <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                        (click)="delete_image(3, i )">
                      <div class="unnon_image">
                        <img [src]="image3[i]" alt="{{stepThreeNonCerdit.scope.file[i].fileName}}"
                          title="{{stepThreeNonCerdit.scope.file[i].fileName}}" class="photo"
                          (click)="image_click(3, i )">
                      </div>
                    </div>

                    <div class="non_image">
                      <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                        multiple (change)="getFileDetails(3, $event)" [(ngModel)]="file3_2" accept=".jpg,.png">
                      <label class="form-control non_image_text" for="fileDropRef"><img
                          src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

                    </div>
                  </div>
                </div>

                <div class="input_upload">
                  <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                    (change)="getFileDetails(3, $event)" [(ngModel)]="file3_1" accept=".jpg,.png" style="width: 526px">
                  <label class="form-control input_upload_label" for="fileDropRef"><img
                      src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
                    เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
                </div>

                <!-- <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                placeholder="ระบุรายละเอียดขอบเขตการให้บริการ" style="height: 261px;"
                (ngModelChange)="changeSaveDraft()" [(ngModel)]="stepThreeNonCerdit.scopeText"></textarea> -->
              </div>
            </div>
          </div>

        </div>
        <br>

        <!-- ----------------------------------------- เงื่อนไขผลิตภัณฑ์ -------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">เงื่อนไขผลิตภัณฑ์</p>
          </div>
          <div class=" mainText">
            <div class="textarea-container">

              <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
                [innerHTML]="this.textareaForm.get('conditionText').value"
                style="min-height: 120px; max-width: auto; padding-top: 7px;" id="conditionText"
                (ngModelChange)="changeSaveDraft()"></div> -->
              <textarea
                style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d;"
                (keyup)="autogrow(4)" rows="5" (click)="autogrow(4)" type="text" id="conditionText"
                [(ngModel)]="stepThreeNonCerdit.conditionText" (ngModelChange)="changeSaveDraft()"
                #description="ngModel" name="conditionText" required></textarea>
              <div style="position: relative;">



                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                      <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                        (click)="delete_image(4, i )">
                      <div class="unnon_image">
                        <img [src]="image4[i]" alt="{{stepThreeNonCerdit.condition.file[i].fileName}}"
                          title="{{stepThreeNonCerdit.condition.file[i].fileName}}" class="photo"
                          (click)="image_click(4, i )">
                      </div>
                    </div>

                    <div class="non_image">
                      <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                        multiple (change)="getFileDetails(4, $event)" [(ngModel)]="file4_2" accept=".jpg,.png">
                      <label class="form-control non_image_text" for="fileDropRef"><img
                          src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

                    </div>
                  </div>
                </div>

                <div class="input_upload">
                  <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                    (change)="getFileDetails(4, $event)" [(ngModel)]="file4_1" accept=".jpg,.png" style="width: 526px">
                  <label class="form-control input_upload_label" for="fileDropRef"><img
                      src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
                    เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
                </div>

                <!-- <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                placeholder="ระบุรายละเอียดเงื่อนไขผลิตภัณฑ์" style="height: 261px;" (ngModelChange)="changeSaveDraft()"
                [(ngModel)]="stepThreeNonCerdit.conditionText"></textarea> -->
              </div>

            </div>
          </div>

        </div>
        <br>

        <!-- ----------------------------------------- หน้าที่ความรับผิดชอบระหว่างธนาคารและคู่สัญญา -------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">หน้าที่ความรับผิดชอบระหว่างธนาคารและคู่สัญญา</p>
          </div>
          <div class=" mainText">
            <div class="textarea-container">

              <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
                [innerHTML]="this.textareaForm.get('dutyText').value"
                style="min-height: 120px; max-width: auto; padding-top: 7px;" id="dutyText"
                (ngModelChange)="changeSaveDraft()"></div> -->
              <textarea
                style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d;"
                (keyup)="autogrow(5)" rows="5" (click)="autogrow(5)" type="text" id="dutyText"
                [(ngModel)]="stepThreeNonCerdit.dutyText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
                name="dutyText" required></textarea>
              <div style="position: relative;">



                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image5; index as i">
                      <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                        (click)="delete_image(5, i )">
                      <div class="unnon_image">
                        <img [src]="image5[i]" alt="{{stepThreeNonCerdit.duty.file[i].fileName}}"
                          title="{{stepThreeNonCerdit.duty.file[i].fileName}}" class="photo"
                          (click)="image_click(5, i )">
                      </div>
                    </div>

                    <div class="non_image">
                      <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                        multiple (change)="getFileDetails(5, $event)" [(ngModel)]="file5_2" accept=".jpg,.png">
                      <label class="form-control non_image_text" for="fileDropRef"><img
                          src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

                    </div>
                  </div>
                </div>

                <div class="input_upload">
                  <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                    (change)="getFileDetails(5, $event)" [(ngModel)]="file5_1" accept=".jpg,.png" style="width: 526px">
                  <label class="form-control input_upload_label" for="fileDropRef"><img
                      src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
                    เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
                </div>
                <!-- <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                placeholder="ระบุรายละเอียดหน้าที่ความรับผิดชอบระหว่างธนาคารและคู่สัญญา" style="height: 261px;"
                (ngModelChange)="changeSaveDraft()" [(ngModel)]="stepThreeNonCerdit.dutyText"></textarea> -->
              </div>
            </div>
          </div>
        </div>
        <!-- ----------------------------------------- ค่าธรรมเนียม -------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">ค่าธรรมเนียม</p>
          </div>
          <div class=" mainText">
            <div class="textarea-container">

              <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
                [innerHTML]="this.textareaForm.get('feeText').value"
                style="min-height: 120px; max-width: auto; padding-top: 7px;" id="feeText"
                (ngModelChange)="changeSaveDraft()"></div> -->
              <textarea
                style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d;"
                (keyup)="autogrow(6)" rows="5" (click)="autogrow(6)" type="text" id="feeText"
                [(ngModel)]="stepThreeNonCerdit.feeText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
                name="feeText" required></textarea>
              <div style="position: relative;">



                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image6; index as i">
                      <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                        (click)="delete_image(6, i )">
                      <div class="unnon_image">
                        <img [src]="image6[i]" alt="{{stepThreeNonCerdit.fee.file[i].fileName}}"
                          title="{{stepThreeNonCerdit.fee.file[i].fileName}}" class="photo"
                          (click)="image_click(6, i )">
                      </div>
                    </div>

                    <div class="non_image">
                      <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                        multiple (change)="getFileDetails(6, $event)" [(ngModel)]="file6_2" accept=".jpg,.png">
                      <label class="form-control non_image_text" for="fileDropRef"><img
                          src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

                    </div>
                  </div>
                </div>

                <div class="input_upload">
                  <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                    (change)="getFileDetails(6, $event)" [(ngModel)]="file6_1" accept=".jpg,.png" style="width: 526px">
                  <label class="form-control input_upload_label" for="fileDropRef"><img
                      src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
                    เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
                </div>
                <!-- <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                placeholder="ระบุรายละเอียดค่าธรรมเนียม" style="height: 261px;" (ngModelChange)="changeSaveDraft()"
                [(ngModel)]="stepThreeNonCerdit.feeText"></textarea> -->
              </div>
            </div>
          </div>
        </div>
        <!-- ----------------------------------------- อื่นๆ (ระบุ) -------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">อื่นๆ (ระบุ)</p>
          </div>
          <div class="mainText ">
            <div class="textarea-container">
              <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
                [innerHTML]="this.textareaForm.get('otherText').value"
                style="min-height: 120px; max-width: auto; padding-top: 7px;" id="otherText"
                (ngModelChange)="changeSaveDraft()"></div> -->
              <textarea
                style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d;"
                (keyup)="autogrow(6)" rows="5" (click)="autogrow(6)" type="text" id="otherText"
                [(ngModel)]="stepThreeNonCerdit.otherText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
                name="otherText" required></textarea>
              <div style="position: relative;">


                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image7; index as i">
                      <img src="../../../../../assets/img/circle-icon.png" class="circle_image"
                        (click)="delete_image(7, i )">
                      <div class="unnon_image">
                        <img [src]="image7[i]" alt="{{stepThreeNonCerdit.other.file[i].fileName}}"
                          title="{{stepThreeNonCerdit.other.file[i].fileName}}" class="photo"
                          (click)="image_click(7, i )">
                      </div>
                    </div>

                    <div class="non_image">
                      <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                        multiple (change)="getFileDetails(7, $event)" [(ngModel)]="file7_2" accept=".jpg,.png">
                      <label class="form-control non_image_text" for="fileDropRef"><img
                          src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

                    </div>
                  </div>
                </div>

                <div class="input_upload">
                  <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
                    (change)="getFileDetails(7, $event)" [(ngModel)]="file7_1" accept=".jpg,.png" style="width: 526px">
                  <label class="form-control input_upload_label" for="fileDropRef"><img
                      src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
                    เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
                </div>
                <!-- <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                placeholder="ระบุรายละเอียดอื่นๆ" style="height: 261px;" (ngModelChange)="changeSaveDraft()"
                [(ngModel)]="stepThreeNonCerdit.otherText"></textarea> -->
              </div>
            </div>
            <br>
          </div>
        </div>


        <!-- --------------------------------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
        <div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
          <div class="row">
            <div class="col-12">
              <div class="typeofcollateral">
                <p class="head-detal">อัปโหลดเอกสาร</p>
                <div class="dropzone">
                  <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                    (change)="onSelectFile($event)" [(ngModel)]="attachments" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                    application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                    application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                    .jpg,.png" />
                  <!-- accept="application/pdf" -->
                  <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
                  <a style="font-size: 18px; color: #00a6e6;"
                    for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
                </div>
              </div>
            </div>
          </div>
          <br />
          <div class="row">
            <div class="col-12">
              <!-- <div class="table_files" > -->
              <table mat-table [dataSource]="dataSource_file" class="upload__file">
                <!-- Position Column -->
                <ng-container matColumnDef="name">
                  <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                  <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="size">
                  <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                  <td mat-cell *matCellDef="let element"> {{ (element.fileSize / 1024).toFixed(2) + " KB" }}</td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="delete">
                  <th mat-header-cell *matHeaderCellDef></th>
                  <td mat-cell *matCellDef="let element; let index = index">
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                      (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                      (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                    <a class="pipe">|</a>
                    <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
                  </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
              </table>
              <br />
              <br />
              <!-- </div> -->
            </div>
          </div>
          <!-- ======================================================================================================================= -->
        </div>
      </div>
    </div>

  </div>
</div>
<!------------------------------------------------- end validate === true ------------------------------------------------>




<!-- --------------------------------------------Over multi files Size------------------------------------------------ -->
<div style="display: none;">
  <a id="testttt" data-toggle="modal" data-target="#exampleModal">
    open
  </a>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content" style=" background-color: white;">
      <div class="col-12 modal-header" style="
          text-align: center;
          height: 56px;
          padding: 12px;
          background-color: rgba(0, 110, 149, 0.1);
        ">
        <div class="col-12" style="
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
          ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95;" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px;cursor:pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
        <a style="color:#2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of FileOverSize" style="color:#2e2d2d">-&nbsp;{{ item }}</div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center;">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
            justify-items: center !important;
            background-color: #00a4e4;
            width: 150px;
          ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>
<!-- ------------------------------------------- End Over multi files Size ----------------------------------------------- -->





<!------------------------------------------------- validate === false ------------------------------------------------>
<div style="padding-left: 10px;"
  *ngIf="stepThreeNonCerdit['validate'] === false || template_manage.pageShow === 'executive'">
  <!-- ---------------------------------------- ประเภทผลิตภัณฑ์และช่องทางการให้บริการ --------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ประเภทผลิตภัณฑ์และช่องทางการให้บริการ</p>
      <div class="body-div">
        <!-- ======================================= ประเภทการนำเสนอ ======================================== -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">ประเภทการนำเสนอ</p>
          </div>
          <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 20px;">
          </div>
          <div class="col-12">
            <ul>
              <li class="ul_10" *ngIf="presentation_type === 'บัตรเครดิต'">บัตรเครดิต</li>
              <li class="ul_10" *ngIf="presentation_type === 'บัตรอิเล็กทรอนิกส์'">บัตรอิเล็กทรอนิกส์</li>
              <li class="ul_10" *ngIf="presentation_type === 'เงินอิเล็กทรอนิกส์'">เงินอิเล็กทรอนิกส์</li>
              <li class="ul_10" *ngIf="presentation_type === 'เงินฝาก'">เงินฝาก</li>
              <li class="ul_10" *ngIf="presentation_type === 'ประกันภัย'">ประกันภัย</li>
              <li class="ul_10" *ngIf="presentation_type === 'กองทุน'">กองทุน</li>
              <li class="ul_10" *ngIf="presentation_type === 'อื่นๆ'" style="word-break: break-all;">อื่นๆ :
                {{stepThreeNonCerdit.productType.otherDetail}}</li>
            </ul>
          </div>
        </div>

        <!-- ======================================= ช่องทางนำเสนอบริการ ======================================== -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">ช่องทางนำเสนอบริการ</p>
          </div>
          <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 20px;">
          </div>
          <div class="col-12">
            <ul>
              <li class="ul_10" *ngIf="serviceChannels.generalBranch">สาขาทั่วไป</li>
              <li class="ul_10" *ngIf="serviceChannels.electronics">สาขาอิเล็กทรอนิกส์</li>
              <li class="ul_10" *ngIf="serviceChannels.businessOffice">สำนักงานธุรกิจ</li>
              <li class="ul_10" *ngIf="serviceChannels.CBC">CBC</li>
              <li class="ul_10" *ngIf="serviceChannels.blockChain">Blockchain</li>
              <li class="ul_10" *ngIf="serviceChannels.callCenter">Call Center</li>
              <li class="ul_10" *ngIf="serviceChannels.ATM">ATM</li>
              <li class="ul_10" *ngIf="serviceChannels.digitalChannels" style="word-wrap:break-word ;">ช่องทางดิจิทัล :
                {{serviceChannels.detailDigitalChannels}}</li>
              <li class="ul_10" *ngIf="serviceChannels.nonBank">ช่องทางอื่นที่ไม่ใช่ของธนาคาร :
                {{serviceChannels.detailNonBank}}</li>
              <li class="ul_10" *ngIf="serviceChannels.etc">อื่นๆ : {{serviceChannels.detailEtc}}</li>
            </ul>
          </div>
        </div>
        <!-- ======================================= ผลิตภัณฑ์อื่นที่อยู่ภายใต้ช่องทาง (เฉพาะกรณีช่องทางดิจิทัล) ======================================== -->
        <div class="row" [ngStyle]="{'display': !(serviceChannels.digitalChannels == true)? 'none' : '' }">
          <div class="col-12">
            <p class="head-detal">ผลิตภัณฑ์อื่นที่อยู่ภายใต้ช่องทาง (เฉพาะกรณีช่องทางดิจิทัล)</p>
          </div>
          <div class="col-12">
            <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
              placeholder="ระบุรายละเอียดความต้องการของกลุ่มเป้าหมาย" style="height: 261px;"
              (ngModelChange)="changeSaveDraft()" [(ngModel)]="stepThreeNonCerdit.productOrther" disabled></textarea>
          </div>
        </div>

        <!-- ======================================= ระบบงานหลักที่เกี่ยวข้อง ======================================== -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">ระบบงานหลักที่เกี่ยวข้อง</p>
          </div>
          <div class="col-12 mb-3">
            <table mat-table [dataSource]="dataSource" class="main-work-systems">
              <!-- Position Column -->
              <ng-container matColumnDef="bank">
                <th mat-header-cell *matHeaderCellDef style="width: 45%;">ธนาคาร</th>
                <td mat-cell *matCellDef="let element" style="word-break: break-all;"> {{element.bank}} </td>
              </ng-container>

              <!-- Position Column -->
              <ng-container matColumnDef="outsource">
                <th mat-header-cell *matHeaderCellDef style="width: 45%;"> หน่วยงานภายนอก (Third Party) </th>
                <td mat-cell *matCellDef="let element" style="word-break: break-all;"> {{element.outsource}} </td>
              </ng-container>
              <ng-container matColumnDef="delete">
                <th mat-header-cell *matHeaderCellDef style="width: 10%;"></th>
                <td mat-cell *matCellDef="let element;let i = index">
                  <!-- <a style="padding-left: 8px; color: #00A6E6;cursor: pointer;" (click)="removedata(i)">ลบข้อมูล</a> -->
                </td>
              </ng-container>
              <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
          </div>
        </div>
      </div>
    </div>

    <!-- ---------------------------------------------------------------------------------------------------------------------- -->

    <!-- ====================================================================================================================== -->
    <div class="col-12">
      <p class="head-detal">กลุ่มเป้าหมายและรายละเอียดผลิตภัณฑ์</p>
      <div class="body-div">
        <!-- ======================================= กลุ่มเป้าหมายและรายละเอียดผลิตภัณฑ์ ============================================= -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal_sub">กลุ่มเป้าหมาย/ผู้ใช้บริการ</p>
          </div>
          <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 20px;">
          </div>
          <div class="col-12" *ngIf="targetGroup.individual">
            <label style="vertical-align: top;">
              <ul style="margin-bottom: 0px;">
                <li class="ul_10 label_validate">
                  บุคคลธรรมดา :
                </li>
              </ul>
            </label>
            <label>
              <div class="col-12 label_validate" *ngIf="targetGroup.individual_thai">สัญชาติไทย</div>
              <div class="col-12 label_validate" *ngIf="targetGroup.individual_foreigner">ชาวต่างชาติ</div>
            </label>
          </div>
          <div class="col-12" *ngIf="targetGroup.legalEntity">
            <label style="vertical-align: top;">
              <ul style="margin-bottom: 0px;">
                <li class="ul_10 label_validate">
                  นิติบุคคล :
                </li>
              </ul>
            </label>
            <label>
              <div class="col-12 label_validate" *ngIf="targetGroup.legalEntity_thai">สัญชาติไทย</div>
              <div class="col-12 label_validate" *ngIf="targetGroup.legalEntity_foreigner">ชาวต่างชาติ</div>
            </label>
          </div>
        </div>
        <!-- ========================================= ลักษณะกลุ่มเป้าหมาย ==================================================== -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">ลักษณะกลุ่มเป้าหมาย</p>
          </div>
          <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 20px;">
          </div>
          <div class="col-12">
            <div class="row" class="sub_body">
              <div class="col-12">
                {{stepThreeNonCerdit.targetText}}
              </div>
              <div class="col-12">
                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                      <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image"(click)="delete_image(1, i )"> -->
                      <div class="unnon_image">
                        <img [src]="image1[i]" alt="{{stepThreeNonCerdit.target.file[i].fileName}}"
                          title="{{stepThreeNonCerdit.target.file[i].fileName}}" class="photo"
                          (click)="image_click(1, i )">
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <br>

        <!-- ----------------------------------------- คุณสมบัติผู้ใช้บริการ -------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">คุณสมบัติผู้ใช้บริการ</p>
          </div>
          <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 20px;">
          </div>
          <div class="col-12">
            <div class="row" class="sub_body">
              <div class="col-12">
                {{stepThreeNonCerdit.propertyText}}
              </div>
              <div class="col-12">
                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                      <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image"(click)="delete_image(2, i )"> -->
                      <div class="unnon_image">
                        <img [src]="image2[i]" alt="{{stepThreeNonCerdit.property.file[i].fileName}}"
                          title="{{stepThreeNonCerdit.property.file[i].fileName}}" class="photo"
                          (click)="image_click(2, i )">
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <br>

        <!-- ----------------------------------------- ขอบเขตการให้บริการ -------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">ขอบเขตการให้บริการ</p>
          </div>
          <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 20px;">
          </div>
          <div class="col-12">
            <div class="row" class="sub_body">
              <div class="col-12">
                {{stepThreeNonCerdit.scopeText}}
              </div>
              <div class="col-12">
                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                      <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(3, i )"> -->
                      <div class="unnon_image">
                        <img [src]="image3[i]" alt="{{stepThreeNonCerdit.scope.file[i].fileName}}"
                          title="{{stepThreeNonCerdit.scope.file[i].fileName}}" class="photo"
                          (click)="image_click(3, i )">
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <br>

        <!-- ----------------------------------------- เงื่อนไขผลิตภัณฑ์ -------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">เงื่อนไขผลิตภัณฑ์</p>
          </div>
          <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 20px;">
          </div>
          <div class="col-12">
            <div class="row" class="sub_body">
              <div class="col-12">
                {{stepThreeNonCerdit.conditionText}}
              </div>
              <div class="col-12">
                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                      <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(4, i )"> -->
                      <div class="unnon_image">
                        <img [src]="image4[i]" alt="{{stepThreeNonCerdit.condition.file[i].fileName}}"
                          title="{{stepThreeNonCerdit.condition.file[i].fileName}}" class="photo"
                          (click)="image_click(4, i )">
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <br>

        <!-- ----------------------------------------- หน้าที่ความรับผิดชอบระหว่างธนาคารและคู่สัญญา -------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">หน้าที่ความรับผิดชอบระหว่างธนาคารและคู่สัญญา</p>
          </div>
          <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 20px;">
          </div>
          <div class="col-12">
            <div class="row" class="sub_body">
              <div class="col-12">
                {{stepThreeNonCerdit.dutyText}}
              </div>
              <div class="col-12">
                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image5; index as i">
                      <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(5, i )"> -->
                      <div class="unnon_image">
                        <img [src]="image5[i]" alt="{{stepThreeNonCerdit.duty.file[i].fileName}}"
                          title="{{stepThreeNonCerdit.duty.file[i].fileName}}" class="photo"
                          (click)="image_click(5, i )">
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- ----------------------------------------- ค่าธรรมเนียม -------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">ค่าธรรมเนียม</p>
          </div>
          <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 20px;">
          </div>
          <div class="col-12">
            <div class="row" class="sub_body">
              <div class="col-12">
                {{stepThreeNonCerdit.feeText}}
              </div>
              <div class="col-12">
                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image6; index as i">
                      <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(6, i )"> -->
                      <div class="unnon_image">
                        <img [src]="image6[i]" alt="{{stepThreeNonCerdit.fee.file[i].fileName}}"
                          title="{{stepThreeNonCerdit.fee.file[i].fileName}}" class="photo"
                          (click)="image_click(6, i )">
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- ----------------------------------------- อื่นๆ (ระบุ) -------------------------------------------------- -->
        <div class="row">
          <div class="col-12">
            <p class="head-detal">อื่นๆ (ระบุ)</p>
          </div>
          <div class="col-12">
            <hr style="margin-top: 0px;margin-bottom: 20px;">
          </div>
          <div class="col-12">
            <div class="row" class="sub_body">
              <div class="col-12">
                {{stepThreeNonCerdit.otherText}}
              </div>
              <div class="col-12">
                <div class="image_row">
                  <div class="row image_col">
                    <div class="unnon_image_out" *ngFor="let item of image7; index as i">
                      <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(7, i )"> -->
                      <div class="unnon_image">
                        <img [src]="image7[i]" alt="{{stepThreeNonCerdit.other.file[i].fileName}}"
                          title="{{stepThreeNonCerdit.other.file[i].fileName}}" class="photo"
                          (click)="image_click(7, i )">
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>



        <!-- --------------------------------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->


      </div>
    </div>


  </div>
  <div class="row" *ngIf="template_manage.pageShow !== 'executive'">
    <div class="col-12">
      <br>
      <!-- <div class="table_files" > -->
      <table mat-table [dataSource]="dataSource_file" class="upload__file">
        <!-- Position Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
          <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="size">
          <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
          <td mat-cell *matCellDef="let element"> {{ (element.fileSize / 1024).toFixed(2) + " KB" }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="delete">
          <th mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let element; let index = index">
            <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>

          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
      </table>
      <br />
      <br />
      <!-- </div> -->
    </div>
  </div>
</div>
<!------------------------------------------------- end validate === false ------------------------------------------------>

<!--------------------------------------------------- The Modal -------------------------------------------------------- -->
<div id="myModal3_4" class="modal">
  <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png"></span>
  <div style="justify-content: center;">
    <div class="modal-content" *ngIf="showModel">
      <img src="{{modalImage[modalmainImageIndex]}}" alt="{{modalImagedetail[modalmainImageIndex].name}}"
        title="{{modalImagedetail[modalmainImageIndex].name}}" class="modal-image">
    </div>
    <br>
    <div>
      <div class="d-flex modal-image-detail" *ngIf="showModel">
        <div *ngFor="let item of modalImage; index as i">
          <img src="{{modalImage[i]}}" alt="{{modalImagedetail[i].name}}" title="{{modalImagedetail[i].name}}"
            [ngClass]="{'modal-image-gallery': i !== modalmainImageIndex, 'modal-image-gallery-select':  i === modalmainImageIndex}"
            (click)="modalmainImageIndex = i">
        </div>
      </div>
    </div>
  </div>
</div>

<!-- <div class="row" [ngStyle]="{'display': pageLast !== 'last' ?  'none' : '' }" 
*ngIf="template_manage.pageShow !== 'executive'">
  <div class="col-12" *ngIf="stepThreeNonCerdit['parentRequestId'] === null && repeat === false">
    <button class="btn btn-outline-secondary button-next2" type="button" (click)="next_step('next')">
      ถัดไป
    </button>
    <br><br><br>
  </div>
</div> -->

<!-- ----------------------------------------- next button validate = true-------------------------------------------------- -->
<div style="padding-left: 10px;"
  *ngIf="(stepThreeNonCerdit['validate'] === null || stepThreeNonCerdit['validate'] === true) && template_manage.pageShow !== 'executive'">
  <div [ngStyle]="{'display': pageLast === 'last' ? '' : 'none' }"
    *ngIf="stepThreeNonCerdit['parentRequestId'] === null && repeat === false">
    <br>
    <div class="row" [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next2" type="button" (click)="next_step('next')">ถัดไป</button>
      </div>
    </div>
    <br><br>
  </div>
</div>


<!-- ----------------------------------------- viewNext validate = false -------------------------------------------------- -->
<div style="padding-left: 10px;"
  *ngIf="stepThreeNonCerdit['validate'] === false || template_manage.pageShow === 'executive'">
  <div class="row" [ngStyle]="{'display': pageLast === 'last' ? '' : 'none' }"
    *ngIf="stepThreeNonCerdit['parentRequestId'] === null && repeat === false"
    [ngStyle]="{ 'display': template_manage.caaStatus === 'show' || template_manage.pageShow === 'executive'? 'none' : '' }">
    <div class="col-12" [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
      <button class="btn btn-outline-secondary button-next2" type="button" (click)="viewNext()">ถัดไป</button>
    </div>
    <br><br>
  </div>
</div>
<br>